DCMTK - Bug #880

storescp does not populate all placeholders for the --exec-on-eostudy when receiving the first batch
of images

2019-04-25 13:46 - Marco Eichelberg

Status: Closed Start date: 2019-04-25
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Application Estimated time: 2:00 hours
Target version: 3.6.6

Module: dcmnet Compiler:

Operating System:

Description

Apparently, the "placeholders” #a, #c and #r (which should contain the calling/called AEtitle and the calling presentation address) are
not properly populated during the first execution of the --exec-on-eostudy command line, but they are populated for all further calls.
According to the bug report, this behavior has been present with prior releases as well.

Reported 2019-04-16 by Andreas Keizers <an-kei@web.de>.

History

#1 - 2019-10-11 10:58 - Jan Schlamelcher
- Target version changed from 3.6.5 to 3.6.6

#2 - 2019-12-13 13:28 - Michael Onken

| could not reproduce this for now. On Linux, | used:
storescp 1234 -v -xcs 'echo #a on #r to #c' —--sort-on-study-uid s
| send two images (different studies) using dcmsend and | get:

I: Association Received

I: Association Acknowledged (Max Send PDV: 16372)

I: Received Store Request (MsgID 1, SC)

IHCOWS 000000000000000000006000000000006C00000606000000000000000006060000000000000000600000000000600000606000000600000600a
W: subdirectory for study already exists: ./s_1.3.12.2.1107.5.4.1.12.199705071523410083804

I: storing DICOM file: ./s_1.3.12.2.1107.5.4.1.12.199705071523410083804/SC.1.3.12.2.1107.5.4.1.12.199705071525
320942958

W: DICOM file already exists, overwriting: ./s_1.3.12.2.1107.5.4.1.12.199705071523410083804/SC.1.3.12.2.1107.5
.4.1.12.199705071525320942958

I: Assoclation Release

I: Association Received

I: Association Acknowledged (Max Send PDV: 16372)

I: Received Store Request (MsgID 1, SC)

S

W: subdirectory for study already exists: ./s_1.3.12.2.1107.5.4.1.12.199705071537340314256

I: storing DICOM file: ./s_1.3.12.2.1107.5.4.1.12.199705071537340314256/5C.1.3.12.2.1107.5.4.1.12.199705071537
340316837

W: DICOM file already exists, overwriting: ./s_1.3.12.2.1107.5.4.1.12.199705071537340314256/5C.1.3.12.2.1107.5
.4.1.12.199705071537340316837

I: Association Release

DCMSEND on localhost to ANY-SCP

Which looks like the expected behaviour. If end of study is detected by timeout | get a comparable result. E.g. by running
storescp 1234 -v -xcs 'echo #a on #r to #c' —--sort-on-study-uid s

and sending a single image one gets:

I: Association Received

I: Association Acknowledged (Max Send PDV: 16372)
I: Received Store Request (MsgID 1, SC)
W: subdirectory for study already exists: ./s_1.3.12.2.1107.5.4.1.12.199705071537340314256

I: storing DICOM file: ./s_1.3.12.2.1107.5.4.1.12.199705071537340314256/5C.1.3.12.2.1107.5.4.1.12.199705071537
340316837

W: DICOM file already exists, overwriting: ./s_1.3.12.2.1107.5.4.1.12.199705071537340314256/5C.1.3.12.2.1107.5
.4.1.12.199705071537340316837

I: Association Release

DCMSEND on localhost to ANY-SCP

#3 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)

#4 - 2020-05-25 13:35 - Michael Onken

- Status changed from New to Closed
Closed since not replicable by DCMTK team and no other feedback from bug reporter.

#5 - 2020-11-03 13:36 - Marco Eichelberg

- Status changed from Closed to Reopened

Bug can be reproduced by the following steps:

e Prepare a file set containing images from two different studies (here: /path/to/test/)

¢ mkdir /path/to/storescp/spool/

e storescp -aet MYSCP -od /path/to/storescp/spool/ -pm -sp -dhl -tos 3 -xcs "echo #p #a #c #r" 11112
e dcmsend -v -aec MYSCP -aet MYSCU -nh +sd +r 0.0.0.0 11112 /path/to/test/

Output looks like this:
/path/to/storescp/spool/PATIENTNAME_20201103_130021939
/path/to/storescp/spool/PATIENTNAME_20201103_130022775 MYSCU MYSCP 127.0.0.1

The reason is that in storescp.cc, function executeOnEndOfStudy(), the variables lastCallingAETitle, lastCalledAETitle, and
lastCallingPresentationAddress are empty strings.

#6 - 2020-11-03 17:07 - Jorg Riesmeier

- Category set to Application

- Status changed from Reopened to Closed
- Target version set to 3.6.6

- % Done changed from 0 to 100

- Estimated time set to 2:00 h

Closed with commit f8d0536.
